summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/HamsiManager/HamsiManager.SlackBuild83
-rw-r--r--multimedia/HamsiManager/HamsiManager.desktop11
-rw-r--r--multimedia/HamsiManager/HamsiManager.info10
-rw-r--r--multimedia/HamsiManager/README6
-rw-r--r--multimedia/HamsiManager/doinst.sh10
-rw-r--r--multimedia/HamsiManager/slack-desc19
6 files changed, 139 insertions, 0 deletions
diff --git a/multimedia/HamsiManager/HamsiManager.SlackBuild b/multimedia/HamsiManager/HamsiManager.SlackBuild
new file mode 100644
index 0000000000..54d624bd64
--- /dev/null
+++ b/multimedia/HamsiManager/HamsiManager.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for HamsiManager
+
+# Copyright 2010 by Giovanne Castro, Campinas, Sao Paulo, Brazil <giovannefc@ig.com.br>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=HamsiManager
+VERSION=${VERSION:-0.9.01}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# It's all python and all in /usr/share (/usr/bin/hamsi is a symlink)
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Copy libraries program
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a \
+ Core InputOutputs Languages Tables Details \
+ MyPlugins Themes eyeD3 SearchEngines Viewers \
+ {ConfigureUpdate,HamsiManager,Reconfigure}.py \
+ $PKG/usr/share/$PRGNAM
+
+# Copy desktop menu entry and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $PKG/usr/share/$PRGNAM/Themes/Default/Images/HamsiManager-128x128.png \
+ > $PKG/usr/share/pixmaps/hamsi.png
+
+# Create executable entry
+mkdir -p $PKG/usr/bin
+echo "#!/bin/bash" > $PKG/usr/bin/hamsi
+echo "/usr/share/$PRGNAM/$PRGNAM.py \"\$@\"" >> $PKG/usr/bin/hamsi
+chmod 0755 $PKG/usr/bin/hamsi
+
+# Copy docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ForDevelopers README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/HamsiManager/HamsiManager.desktop b/multimedia/HamsiManager/HamsiManager.desktop
new file mode 100644
index 0000000000..7810e1ba1d
--- /dev/null
+++ b/multimedia/HamsiManager/HamsiManager.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Type=Application
+Name=Hamsi Manager
+GenericName=Hamsi Manager
+Comment=File manager, renamer, id3 tagger, information changer...
+Comment[pt_BR]=Manipulador de arquivos, renomeador, id3 tagger, organizador...
+Icon=hamsi
+Exec=hamsi
+Terminal=false
+Categories=Audio;AudioVideo;AudioVideoEditing;
+StartupNotify=true
diff --git a/multimedia/HamsiManager/HamsiManager.info b/multimedia/HamsiManager/HamsiManager.info
new file mode 100644
index 0000000000..e911be011a
--- /dev/null
+++ b/multimedia/HamsiManager/HamsiManager.info
@@ -0,0 +1,10 @@
+PRGNAM="HamsiManager"
+VERSION="0.9.01"
+HOMEPAGE="http://hamsiapps.com/en/HamsiManager"
+DOWNLOAD="http://downloads.sourceforge.net/project/hamsimanager/HamsiManager-0.9.01.tar.gz"
+MD5SUM="f59f70cdeacef2ad3722c660c5ab7719"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Giovanne Castro"
+EMAIL="giovannefc@ig.com.br"
+APPROVED="rworkman"
diff --git a/multimedia/HamsiManager/README b/multimedia/HamsiManager/README
new file mode 100644
index 0000000000..5f59374c10
--- /dev/null
+++ b/multimedia/HamsiManager/README
@@ -0,0 +1,6 @@
+HamsiManager basically does the following:
+-Corrects the character/encoding errors in your system as well as change file
+encoding from one to another (UTF-8, ISO-8859-9,CP 1254, etc.)
+-Arranges everything for you to find your mp3s, files and folders easily
+-Deletes the unneeded files (based on your criteria) and folders (such as empty
+folders) so that your system becomes uncluttered. \ No newline at end of file
diff --git a/multimedia/HamsiManager/doinst.sh b/multimedia/HamsiManager/doinst.sh
new file mode 100644
index 0000000000..36904a5040
--- /dev/null
+++ b/multimedia/HamsiManager/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications/kde4 >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/multimedia/HamsiManager/slack-desc b/multimedia/HamsiManager/slack-desc
new file mode 100644
index 0000000000..846379c0c2
--- /dev/null
+++ b/multimedia/HamsiManager/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+HamsiManager: HamsiManager (file manager and information changer)
+HamsiManager:
+HamsiManager: HamsiManager basically does the following:
+HamsiManager: -Corrects the character/encoding errors in your system as well as
+HamsiManager: change file encoding from one to another (UTF-8, ISO-8859-9, etc.)
+HamsiManager: -Arranges everything for you to easily find your files and folders
+HamsiManager: -Deletes the unneeded files (based on your criteria) and folders
+HamsiManager: (such as empty folders) so that your system becomes uncluttered.
+HamsiManager:
+HamsiManager: Homepage: http://hamsiapps.com/en/HamsiManager
+HamsiManager: